<template>
    <div class="grid grid-cols-4 gap-4">
        <div></div>
        <div></div>
        <div></div>
        <div class="dropdown">
            <label tabindex="0" class="btn m-1">Exportar</label>
            <ul tabindex="0" class="dropdown-content menu p-2 shadow bg-base-100 rounded-box w-52">
                <li><a @click="generarPDFasistencia()">PDF</a></li>
            </ul>
        </div>
    </div>
</template>

<script>
 import axios from 'axios';

 export default {
    methods: {
        async generarPDFasistencia(){
            const url = "/reporte/asistencia_pdf/3";
            console.log("Haciendo peticion..");
            
            axios({
                url:url,
                method:'GET',
                responseType:'blob',
            }).then((res)=>{
                var FILE = window.URL.createObjectURL(res.data);

                var docUrl = document.createElement('a');
                docUrl.href = FILE;
                docUrl.setAttribute('download','file.pdf');
                document.body.appendChild(docUrl);
                docUrl.click();
                
                document.body.removeChild(docUrl);
                URL.revokeObjectURL(FILE);
            });


        },

        }
    }   

</script>

<style scoped>
    .dropdown{
        margin-top: 2vw;
    }
</style>